Endpoints related to Customers.
List customers
Get a list of available customers.
To perform this action, the API Client needs to have at least one of the following roles:
- Add Customer
- TMS Create Jobs
- WMS Create Jobs
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
List customers › Responses
Success
nameCompany name for the customer.
emailEmail address for the customer.
enabledidscopetelephonePhone number for the customer.
Warehouses for which the customer is used. If not provided, assigned to the default warehouse.
Create customer
Create a new customer.
To perform this action, the API Client needs to have the “Add Customer” role.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Create customer › Request Body
nameCompany name for the customer.
emailEmail address for the customer.
enabledscopeCUSTOMER for customer entities.
telephonePhone number for the customer.
Warehouses for which the customer is used. If not provided, assigned to the default warehouse.
Create customer › Responses
Created
nameCompany name for the customer.
emailEmail address for the customer.
enabledidscopetelephonePhone number for the customer.
Warehouses for which the customer is used. If not provided, assigned to the default warehouse.
Get customer
Retrieves a previously created customer.
To perform this action, the API Client needs to have at least one of the following roles:
- Add Customer
- TMS Create Jobs
- WMS Create Jobs
path Parameters
tenantIdTenant ID. Can be found in organisation settings
customerIdUUID for the customer.
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Get customer › Responses
Success
nameCompany name for the customer.
emailEmail address for the customer.
enabledidscopetelephonePhone number for the customer.
Warehouses for which the customer is used. If not provided, assigned to the default warehouse.